/*******************************************************************/
/* Use the appropriate database to load the IBG content            */
/* When this SQL file is run as a standalone statement             */
USE [IBG_Demo_DB]
GO
/*                                                                 */
/*******************************************************************/

BULK INSERT 
   [IBG_Schema].[DG XREF Data Issue In Other Tracker]
FROM 'C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\BAU\DG XREF Data Issue In Other Tracker - 04 Data For Bulk Insert.csv'
WITH (
        FORMAT ='CSV'
      , FIRSTROW = 2
      , CODEPAGE = '65001'
      , DATAFILETYPE ='char'
      , FIELDTERMINATOR = ','
      , ROWTERMINATOR = '\n'
      , CHECK_CONSTRAINTS);
GO

SELECT *
FROM 
   [IBG_Schema].[DG XREF Data Issue In Other Tracker]
GO
