--*************************************************************
--***** Execute Drop - Create - Bulk Load Using SQLCMD *********
--***
--*** In SQL Server Management Studio:
--***  1) Create a new query window
--***  2) In the ribbon click the "Query" button
--***  3) Choose SQLCMD Mode
--***  4) Text in the query window now has a gray background
--***  5) Copy/paste the SQLCMD text from below and Execute
--***
--**************************************************************

--**********************************************************************************
--*** The path for the SQL files to be executed
:setvar path "C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\Startup"
--***
--**********************************************************************************


--**********************************************************************************
--*** The database to be used
--*** IBG_Demo_DB = The database with demo data
--*** IBG_DB      = The database with prod data
:setvar SQLCMDDBNAME "IBG_Demo_DB"             
--:setvar SQLCMDDBNAME "IBG_DB"                 
--***
--**********************************************************************************


--**************************************************************
--**** If Needed
--****
:r $(path)\"01 All Tables - Drop All Tables And Views In Child-Parent Sequence.sql"
--****
--****
--**************************************************************

--*********
--*** 01
--*********
:r $(path)\"IBG Application Software - 01 Create Table And View.sql"
:r $(path)\"IBG Application Software - 02 Bulk Insert.sql"

--*********
--*** 02
--*********
:r $(path)\"Code BI Object Type - 01 Create Table And View.sql"
:r $(path)\"Code BI Object Type - 02 Bulk Insert.sql"

--*********
--*** 03
--*********
:r $(path)\"Code Business Metadata Status - 01 Create Table And View.sql"
:r $(path)\"Code Business Metadata Status - 02 Bulk Insert.sql"

--*********
--*** 04
--*********
:r $(path)\"Code Business Unit Type - 01 Create Table And View.sql"
:r $(path)\"Code Business Unit Type - 02 Bulk Insert.sql"

--*********
--*** 05
--*********
:r $(path)\"Code Part Of Organization - 01 Create Table And View.sql"
:r $(path)\"Code Part Of Organization - 02 Bulk Insert.sql"

--*********
--*** 06
--*********
:r $(path)\"Code Yes No - 01 Create Table And View.sql"
:r $(path)\"Code Yes No - 02 Bulk Insert.sql"

--*********
--*** 07
--*********
:r $(path)\"DG Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG Business Unit - 02 Bulk Insert.sql"

--*********
--*** 08
--*********
:r $(path)\"Code Committee - 01 Create Table And View.sql"
:r $(path)\"Code Committee - 02 Bulk Insert.sql"

--*********
--*** 09
--*********
:r $(path)\"Code Data Governance Role - 01 Create Table And View.sql"
:r $(path)\"Code Data Governance Role - 02 Bulk Insert.sql"

--*********
--*** 10
--*********
:r $(path)\"Code Committee Membership Role - 01 Create Table And View.sql"
:r $(path)\"Code Committee Membership Role - 02 Bulk Insert.sql"

--*********
--*** 11
--*********
:r $(path)\"Code Data Issue Category - 01 Create Table And View.sql"
:r $(path)\"Code Data Issue Category - 02 Bulk Insert.sql"

--*********
--*** 12
--*********
:r $(path)\"Code Data Issue Impact - 01 Create Table And View.sql"
:r $(path)\"Code Data Issue Impact - 02 Bulk Insert.sql"

--*********
--*** 13
--*********
:r $(path)\"Code Data Issue Severity - 01 Create Table And View.sql"
:r $(path)\"Code Data Issue Severity - 02 Bulk Insert.sql"

--*********
--*** 14
--*********
:r $(path)\"Code Data Issue Status - 01 Create Table And View.sql"
:r $(path)\"Code Data Issue Status - 02 Bulk Insert.sql"

--*********
--*** 15
--*********
:r $(path)\"Code DQ Color - 01 Create Table And View.sql"
:r $(path)\"Code DQ Color - 02 Bulk Insert.sql"

--*********
--*** 16
--*********
:r $(path)\"Code DQ Dimension - 01 Create Table And View.sql"
:r $(path)\"Code DQ Dimension - 02 Bulk Insert.sql"

--*********
--*** 17
--*********
:r $(path)\"Code Operational Reference Master - 01 Create Table And View.sql"
:r $(path)\"Code Operational Reference Master - 02 Bulk Insert.sql"

--*********
--*** 18
--*********
:r $(path)\"Code Protected Level - 01 Create Table And View.sql"
:r $(path)\"Code Protected Level - 02 Bulk Insert.sql"

--*********
--*** 19
--*********
:r $(path)\"Code RACI - 01 Create Table And View.sql"
:r $(path)\"Code RACI - 02 Bulk Insert.sql"

--*********
--*** 20
--*********
:r $(path)\"Code Sensitivity Level - 01 Create Table And View.sql"
:r $(path)\"Code Sensitivity Level - 02 Bulk Insert.sql"

--*********
--*** 21
--*********
:r $(path)\"Code System Of Record Or Reference - 01 Create Table And View.sql"
:r $(path)\"Code System Of Record Or Reference - 02 Bulk Insert.sql"

--*********
--*** 22
--*********
:r $(path)\"Code Priority - 01 Create Table And View.sql"
:r $(path)\"Code Priority - 02 Bulk Insert.sql"

--*********
--*** 23
--*********
:r $(path)\"DG Person - 01 Create Table And View.sql"
:r $(path)\"DG Person - 02 Bulk Insert.sql"

--*********
--*** 24
--*********
:r $(path)\"DG Committee Meeting History - 01 Create Table And View.sql"
:r $(path)\"DG Committee Meeting History - 02 Bulk Insert.sql"

--*********
--*** 25
--*********
:r $(path)\"DG Committee Meeting Attendance - 01 Create Table And View.sql"
:r $(path)\"DG Committee Meeting Attendance - 02 Bulk Insert.sql"

--*********
--*** 26
--*********
:r $(path)\"DG Committee Membership - 01 Create Table And View.sql"
:r $(path)\"DG Committee Membership - 02 Bulk Insert.sql"

--*********
--*** 27
--*********
:r $(path)\"DG Data Issue Register - 01 Create Table And View.sql"
:r $(path)\"DG Data Issue Register - 02 Bulk Insert.sql"

--*********
--*** 28
--*********
:r $(path)\"DG Data Issue And Person - 01 Create Table And View.sql"
:r $(path)\"DG Data Issue And Person - 02 Bulk Insert.sql"

--*********
--*** 29
--*********
:r $(path)\"DG Data Issue And Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG Data Issue And Business Unit - 02 Bulk Insert.sql"

--*********
--*** 30
--*********
:r $(path)\"DG Data Issue Status History - 01 Create Table And View.sql"
:r $(path)\"DG Data Issue Status History - 02 Bulk Insert.sql"

--*********
--*** 31
--*********
:r $(path)\"IBG Business Intelligence Object - 01 Create Table And View.sql"
:r $(path)\"IBG Business Intelligence Object - 02 Bulk Insert.sql"

--*********
--*** 32
--*********
:r $(path)\"IBG Application Software Field - 01 Create Table And View.sql"
:r $(path)\"IBG Application Software Field - 02 Bulk Insert.sql"

--*********
--*** 33
--*********
:r $(path)\"IBG Subject Area - 01 Create Table And View.sql"
:r $(path)\"IBG Subject Area - 02 Bulk Insert.sql"

--*********
--*** 34
--*********
:r $(path)\"IBG Business Entity - 01 Create Table And View.sql"
:r $(path)\"IBG Business Entity - 02 Bulk Insert.sql"

--*********
--*** 35
--*********
:r $(path)\"IBG Business Attribute Core - 01 Create Table And View.sql"
:r $(path)\"IBG Business Attribute Core - 02 Bulk Insert.sql"

--*********
--*** 36
--*********
:r $(path)\"IBG Business Attribute Document - 01 Create Table And View.sql"
:r $(path)\"IBG Business Attribute Document - 02 Bulk Insert.sql"

--*********
--*** 37
--*********
:r $(path)\"IBG Business Attribute DQ Rules - 01 Create Table And View.sql"
:r $(path)\"IBG Business Attribute DQ Rules - 02 Bulk Insert.sql"

--*********
--*** 38
--*********
:r $(path)\"IBG Business Attribute DQ Colors - 01 Create Table And View.sql"
:r $(path)\"IBG Business Attribute DQ Colors - 02 Bulk Insert.sql"

--*********
--*** 39
--*********
:r $(path)\"IBG Database Management System - 01 Create Table And View.sql"
:r $(path)\"IBG Database Management System - 02 Bulk Insert.sql"

--*********
--*** 40
--*********
:r $(path)\"IBG Database - 01 Create Table And View.sql"
:r $(path)\"IBG Database - 02 Bulk Insert.sql"

--*********
--*** 41
--*********
:r $(path)\"IBG Schema - 01 Create Table And View.sql"
:r $(path)\"IBG Schema - 02 Bulk Insert.sql"

--*********
--*** 42
--*********
:r $(path)\"IBG Table or View - 01 Create Table And View.sql"
:r $(path)\"IBG Table or View - 02 Bulk Insert.sql"

--*********
--*** 43
--*********
:r $(path)\"IBG Column - 01 Create Table And View.sql"
:r $(path)\"IBG Column - 02 Bulk Insert.sql"

--*********
--*** 44
--*********
:r $(path)\"IBG ETL Program - 01 Create Table And View.sql"
:r $(path)\"IBG ETL Program - 02 Bulk Insert.sql"

--*********
--*** 45
--*********
:r $(path)\"DG RACI Application Software And Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG RACI Application Software And Business Unit - 02 Bulk Insert.sql"

--*********
--*** 46
--*********
:r $(path)\"DG RACI Application Software And Person - 01 Create Table And View.sql"
:r $(path)\"DG RACI Application Software And Person - 02 Bulk Insert.sql"

--*********
--*** 47
--*********
:r $(path)\"DG RACI Business Attribute And Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG RACI Business Attribute And Business Unit - 02 Bulk Insert.sql"

--*********
--*** 48
--*********
:r $(path)\"DG RACI Business Attribute And Person - 01 Create Table And View.sql"
:r $(path)\"DG RACI Business Attribute And Person - 02 Bulk Insert.sql"

--*********
--*** 49
--*********
:r $(path)\"DG RACI Business Entity and Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG RACI Business Entity and Business Unit - 02 Bulk Insert.sql"

--*********
--*** 50
--*********
:r $(path)\"DG RACI Business Entity and Person - 01 Create Table And View.sql"
:r $(path)\"DG RACI Business Entity and Person - 02 Bulk Insert.sql"

--*********
--*** 51
--*********
:r $(path)\"DG RACI BI Object and Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG RACI BI Object and Business Unit - 02 Bulk Insert.sql"

--*********
--*** 52
--*********
:r $(path)\"DG RACI BI Object and Person - 01 Create Table And View.sql"
:r $(path)\"DG RACI BI Object and Person - 02 Bulk Insert.sql"

--*********
--*** 53
--*********
:r $(path)\"DG RACI Subject Area And Business Unit - 01 Create Table And View.sql"
:r $(path)\"DG RACI Subject Area And Business Unit - 02 Bulk Insert.sql"

--*********
--*** 54
--*********
:r $(path)\"DG RACI Subject Area And Person - 01 Create Table And View.sql"
:r $(path)\"DG RACI Subject Area And Person - 02 Bulk Insert.sql"

--*********
--*** 55
--*********
:r $(path)\"DG XREF Data Issue In Other Tracker - 01 Create Table And View.sql"
:r $(path)\"DG XREF Data Issue In Other Tracker - 02 Bulk Insert.sql"

--*********
--*** 56
--*********
:r $(path)\"IBG XREF BA And Column - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BA And Column - 02 Bulk Insert.sql"

--*********
--*** 57
--*********
:r $(path)\"IBG XREF BA Column And Application - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BA Column And Application - 02 Bulk Insert.sql"

--*********
--*** 58
--*********
:r $(path)\"IBG XREF BA Column And BI Object - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BA Column And BI Object - 02 Bulk Insert.sql"

--*********
--*** 59
--*********
:r $(path)\"IBG XREF BA Data Issue And Application - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BA Data Issue And Application - 02 Bulk Insert.sql"

--*********
--*** 60
--*********
:r $(path)\"IBG XREF BA Data Issue And BI Object - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BA Data Issue And BI Object - 02 Bulk Insert.sql"

--*********
--*** 61
--*********
:r $(path)\"IBG XREF BE And Table Or View - 01 Create Table And View.sql"
:r $(path)\"IBG XREF BE And Table Or View - 02 Bulk Insert.sql"

--*********
--*** 62
--*********
:r $(path)\"IBG Lineage Application Column To BI Object - 01 Create Table And View.sql"
:r $(path)\"IBG Lineage Application Column To BI Object - 02 Bulk Insert.sql"

--*********
--*** 63
--*********
:r $(path)\"IBG Lineage Application Column To Application - 01 Create Table And View.sql"
:r $(path)\"IBG Lineage Application Column To Application - 02 Bulk Insert.sql"

--*********
--*** 64
--*********
:r $(path)\"DG-IBG DM Comments RDBMS - 01 Create Table And View.sql"
:r $(path)\"DG-IBG DM Comments RDBMS - 02 Bulk Insert.sql"

--*********
--*** 65
--*********
:r $(path)\"DG-IBG DM Attributes - 01 Create Table And View.sql"
:r $(path)\"DG-IBG DM Attributes - 02 Bulk Insert.sql"

--*********
--*** 66
--*********
:r $(path)\"DG-IBG DM Entities - 01 Create Table And View.sql"
:r $(path)\"DG-IBG DM Entities - 02 Bulk Insert.sql"

--*************************************************************************
--*** Special Pre-Built Views - Some views depend on "Org Hierarchy" views
--*************************************************************************

:r $(path)\"View - PB - Org Hierarchy By Business Unit.sql"
:r $(path)\"View - PB - Org Hierarchy By Person.sql"
:r $(path)\"View - PB - Committee Meeting Attendance.sql"
:r $(path)\"View - PB - Committee Membership.sql"
:r $(path)\"View - PB - Data Issue and Business Unit.sql"
:r $(path)\"View - PB - Data Issue and Person.sql"
:r $(path)\"View - PB - Data Issue and Status History.sql"
:r $(path)\"View - PB - Data Issue BA Application And BI Object.sql"
:r $(path)\"View - PB - Data Issue Business Attribute And Application.sql"
:r $(path)\"View - PB - Data Issue Business Attribute And BI Object.sql"
:r $(path)\"View - PB - Data Issue Snapshot.sql"
:r $(path)\"View - PB - DG-IBG Schema Business Attributes.sql"
:r $(path)\"View - PB - Lineage Application To Application.sql"
:r $(path)\"View - PB - Lineage Application To BI Object.sql"
:r $(path)\"View - PB - Orphan Business Attribute.sql"
:r $(path)\"View - PB - Orphan Column.sql"


--********************************************
--***  Create and Bulk Insert Is Complete
--***  Drop and Create Views Is Complete
--***  Now confirm that the tables have rows
--********************************************

:r $(path)\"03 All Tables - Post Load Row Counts.sql"
