/*******************************************************************/
/* Use the appropriate database to load the IBG content            */
/* When this SQL file is run as a standalone statement             */
USE [IBG_Demo_DB]
GO
/*                                                                 */
/*******************************************************************/

BULK INSERT 
   [IBG_Schema]."Code Yes No"  
FROM 'C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\BAU\Code Yes No - 04 Data For Bulk Insert.csv'
WITH (
        FORMAT ='CSV'
      , FIRSTROW = 2
      , CODEPAGE = '65001'
      , DATAFILETYPE ='char'
      , FIELDTERMINATOR = ','
      , ROWTERMINATOR = '\n'
      , CHECK_CONSTRAINTS);
GO

Select *
FROM 
   [IBG_Schema].[Code Yes No]
GO
