/*****************************************************************/
/**************** Drop All Tables and View ***********************/
/**************** In Child-Parent Sequence ***********************/
/*****************************************************************/

USE [IBG_Demo_DB]
GO

DROP TABLE [IBG_Schema].[DG XREF Data Issue In Other Tracker]
GO
DROP VIEW [IBG_Schema].[View DG XREF Data Issue In Other Tracker]
GO

DROP TABLE [IBG_Schema].[IBG XREF BA Data Issue And BI Object] 
GO
DROP VIEW [IBG_Schema].[View IBG XREF BA Data Issue And BI Object] 
GO

DROP TABLE [IBG_Schema].[IBG XREF BA Data Issue And Application] 
GO
DROP VIEW [IBG_Schema].[View IBG XREF BA Data Issue And Application] 
GO

DROP TABLE [IBG_Schema].[IBG XREF BA Column And BI Object] 
GO
DROP VIEW [IBG_Schema].[View IBG XREF BA Column And BI Object] 
GO

DROP TABLE [IBG_Schema].[IBG XREF BA Column And Application] 
GO
DROP VIEW [IBG_Schema].[View IBG XREF BA Column And Application] 
GO

DROP TABLE [IBG_Schema].[IBG Lineage Application Column To Application] 
GO
DROP VIEW [IBG_Schema].[View IBG Lineage Application Column To Application] 
GO

DROP TABLE [IBG_Schema].[IBG Lineage Application Column To BI Object]
GO
DROP VIEW [IBG_Schema].[View IBG Lineage Application Column To BI Object]
GO

DROP TABLE [IBG_Schema].[IBG XREF BA And Column]
GO
DROP VIEW [IBG_Schema].[View IBG XREF BA And Column]
GO

DROP TABLE [IBG_Schema].[IBG XREF BE And Table Or View] 
GO
DROP VIEW [IBG_Schema].[View IBG XREF BE And Table Or View] 
GO

DROP TABLE [IBG_Schema].[IBG Business Attribute Document]
GO
DROP VIEW [IBG_Schema].[View IBG Business Attribute Document]
GO

DROP TABLE [IBG_Schema].[DG Committee Meeting Attendance]
GO
DROP VIEW [IBG_Schema].[View DG Committee Meeting Attendance]
GO

DROP TABLE [IBG_Schema].[DG Committee Meeting History]
GO
DROP VIEW [IBG_Schema].[View DG Committee Meeting History]
GO

DROP TABLE [IBG_Schema].[DG Committee Membership]
GO
DROP VIEW [IBG_Schema].[View DG Committee Membership]
GO

DROP TABLE [IBG_Schema].[DG Data Issue And Business Unit]
GO
DROP VIEW [IBG_Schema].[View DG Data Issue And Business Unit]
GO

DROP TABLE [IBG_Schema].[DG Data Issue And Person]
GO
DROP VIEW [IBG_Schema].[View DG Data Issue And Person]
GO

DROP TABLE [IBG_Schema].[DG Data Issue Status History]
GO
DROP VIEW [IBG_Schema].[View DG Data Issue Status History]
GO

DROP TABLE [IBG_Schema].[DG Data Issue Register]
GO
DROP VIEW [IBG_Schema].[View DG Data Issue Register]
GO

DROP TABLE [IBG_Schema].[IBG Business Attribute DQ Colors]
GO
DROP VIEW [IBG_Schema].[View IBG Business Attribute DQ Colors]
GO

DROP TABLE [IBG_Schema].[IBG Business Attribute DQ Rules]
Go
DROP VIEW [IBG_Schema].[View IBG Business Attribute DQ Rules]
Go

DROP TABLE [IBG_Schema].[IBG ETL Program] 
GO
DROP VIEW [IBG_Schema].[View IBG ETL Program] 
GO

DROP TABLE [IBG_Schema].[DG RACI Application Software And Business Unit] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Application Software And Business Unit] 
GO

DROP TABLE [IBG_Schema].[DG RACI Application Software And Person] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Application Software And Person] 
GO

DROP TABLE [IBG_Schema].[DG RACI Business Attribute And Business Unit] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Business Attribute And Business Unit] 
GO

DROP TABLE [IBG_Schema].[DG RACI Business Attribute And Person] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Business Attribute And Person] 
GO

DROP TABLE [IBG_Schema].[DG RACI Business Entity And Business Unit] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Business Entity And Business Unit] 
GO

DROP TABLE [IBG_Schema].[DG RACI Business Entity And Person] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Business Entity And Person] 
GO

DROP TABLE [IBG_Schema].[DG RACI BI Object and Business Unit] 
GO
DROP VIEW [IBG_Schema].[View DG RACI BI Object and Business Unit] 
GO

DROP TABLE [IBG_Schema].[DG RACI BI Object and Person] 
GO
DROP VIEW [IBG_Schema].[View DG RACI BI Object and Person] 
GO

DROP TABLE [IBG_Schema].[DG RACI Subject Area And Business Unit] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Subject Area And Business Unit] 
GO

DROP TABLE [IBG_Schema].[DG RACI Subject Area And Person] 
GO
DROP VIEW [IBG_Schema].[View DG RACI Subject Area And Person] 
GO

DROP TABLE [IBG_Schema].[IBG Column] 
GO
DROP VIEW [IBG_Schema].[View IBG Column] 
GO

DROP TABLE [IBG_Schema].[IBG Table or View]
GO
DROP VIEW [IBG_Schema].[View IBG Table or View]
GO

DROP TABLE [IBG_Schema].[IBG Schema] 
GO
DROP VIEW [IBG_Schema].[View IBG Schema] 
GO

DROP TABLE [IBG_Schema].[IBG Database] 
GO
DROP VIEW [IBG_Schema].[View IBG Database] 
GO

DROP TABLE [IBG_Schema].[IBG Database Management System] 
GO
DROP VIEW [IBG_Schema].[View IBG Database Management System] 
GO

DROP TABLE [IBG_Schema].[IBG Business Intelligence Object] 
GO
DROP VIEW [IBG_Schema].[View IBG Business Intelligence Object] 
GO

DROP TABLE [IBG_Schema].[IBG Business Attribute Core]
GO
DROP VIEW [IBG_Schema].[View IBG Business Attribute Core]
GO

DROP TABLE [IBG_Schema].[IBG Business Entity]
GO
DROP VIEW [IBG_Schema].[View IBG Business Entity]
GO

DROP TABLE [IBG_Schema].[IBG Subject Area]
GO
DROP VIEW [IBG_Schema].[View IBG Subject Area]
GO

DROP TABLE [IBG_Schema].[IBG Application Software Field]
GO
DROP VIEW [IBG_Schema].[View IBG Application Software Field]
GO


/******************************************************/
/******Codes are the last tables to drop***************/
/******************************************************/

DROP TABLE [IBG_Schema].[DG Person]
GO
DROP VIEW [IBG_Schema].[View DG Person]
GO

DROP TABLE [IBG_Schema].[IBG Application Software] 
GO
DROP VIEW [IBG_Schema].[View IBG Application Software] 
GO

DROP TABLE [IBG_Schema].[Code BI Object Type]
GO
DROP VIEW [IBG_Schema].[View Code BI Object Type]
GO

DROP TABLE [IBG_Schema].[Code Sensitivity Level]
GO
DROP VIEW [IBG_Schema].[View Code Sensitivity Level]
GO

DROP TABLE [IBG_Schema].[Code Protected Level]
GO
DROP VIEW [IBG_Schema].[View Code Protected Level]
GO

DROP TABLE [IBG_Schema].[Code Operational Reference Master]
GO
DROP VIEW [IBG_Schema].[View Code Operational Reference Master]
GO

DROP TABLE [IBG_Schema].[Code Data Governance Role]
GO
DROP VIEW [IBG_Schema].[View Code Data Governance Role]
GO

DROP TABLE [IBG_Schema].[Code DQ Dimension]
GO
DROP VIEW [IBG_Schema].[View Code DQ Dimension]
GO

DROP TABLE [IBG_Schema].[Code RACI]
GO
DROP VIEW [IBG_Schema].[View Code RACI]
GO

DROP TABLE [IBG_Schema].[Code System Of Record Or Reference]
GO
DROP VIEW [IBG_Schema].[View Code System Of Record Or Reference]
GO

DROP TABLE [IBG_Schema].[Code Committee]
GO
DROP VIEW [IBG_Schema].[View Code Committee]
GO

DROP TABLE [IBG_Schema].[Code DQ Color]
GO
DROP VIEW [IBG_Schema].[View Code DQ Color]
GO

DROP TABLE [IBG_Schema].[Code Committee Membership Role]
GO
DROP VIEW [IBG_Schema].[View Code Committee Membership Role]
GO

DROP TABLE [IBG_Schema].[Code Data Issue Category]
GO
DROP VIEW [IBG_Schema].[View Code Data Issue Category]
GO

DROP TABLE [IBG_Schema].[Code Data Issue Impact]
GO
DROP VIEW [IBG_Schema].[View Code Data Issue Impact]
GO

DROP TABLE [IBG_Schema].[Code Data Issue Severity]
GO
DROP VIEW [IBG_Schema].[View Code Data Issue Severity]
GO

DROP TABLE [IBG_Schema].[Code Data Issue Status]
GO
DROP VIEW [IBG_Schema].[View Code Data Issue Status]
GO

DROP TABLE [IBG_Schema].[DG Business Unit]
GO
DROP VIEW [IBG_Schema].[View DG Business Unit]
GO

DROP TABLE [IBG_Schema].[Code Business Unit Type]
GO
DROP VIEW [IBG_Schema].[View Code Business Unit Type]
GO

DROP TABLE [IBG_Schema].[Code Part Of Organization]
GO
DROP VIEW [IBG_Schema].[View Code Part Of Organization]
GO

DROP TABLE [IBG_Schema].[Code Business Metadata Status]
GO
DROP VIEW [IBG_Schema].[View Code Business Metadata Status]
GO

DROP TABLE [IBG_Schema].[Code Priority]
GO
DROP VIEW [IBG_Schema].[View Code Priority]
GO

DROP TABLE [IBG_Schema].[Code Yes No]
GO
DROP VIEW [IBG_Schema].[View Code Yes No]
GO

DROP TABLE [IBG_Schema].[DG-IBG DM Attributes]
GO
DROP VIEW [IBG_Schema].[View DG-IBG DM Attributes]
GO

DROP TABLE [IBG_Schema].[DG-IBG DM Entities]
GO
DROP VIEW [IBG_Schema].[View DG-IBG DM Entities]
GO

DROP TABLE [IBG_Schema].[DG-IBG DM Comments RDBMS]
GO
DROP VIEW [IBG_Schema].[View DG-IBG DM Comments RDBMS]
GO

/*****************************************************************/
/**************** Drop Special Views *****************************/
/*****************************************************************/

DROP VIEW [IBG_Schema].[View - PB - Org Hierarchy By Person]
GO

DROP VIEW [IBG_Schema].[View - PB - Org Hierarchy By Business Unit]
GO

DROP VIEW [IBG_Schema].[View - PB - DG-IBG Schema Business Attributes]
GO

DROP VIEW [IBG_Schema].[View - PB - Committee Meeting Attendance]
GO

DROP VIEW [IBG_Schema].[View - PB - Committee Membership]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue and Person]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue and Business Unit]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue and Status History]
GO

DROP VIEW [IBG_Schema].[View - PB - Orphan Business Attribute]
GO

DROP VIEW [IBG_Schema].[View - PB - Orphan Column]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue Business Attribute And Application]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue Business Attribute And BI Object]
GO

DROP VIEW [IBG_Schema].[View - PB - Lineage Application To Application]
GO

DROP VIEW [IBG_Schema].[View - PB - Lineage Application To BI Object]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue Snapshot Category Severity Impact]
GO

DROP VIEW [IBG_Schema].[View - PB - Data Issue BA Application And BI Object]
GO